C******************** START FILE UFIMSG.FOR ; GROUP UFILS0 ******************
C--------------------------------------------------------------------
C  UFIMSG
C   SET INFORMATIVE MESSAGE OUTPUT LEVEL
C    =-LUN  *NEW FEB 1986*  IF A NEGATIVE NUMBER IS SPECIFIED,
C      IT IS ASSUMED TO BE THE LUN FOR A FILE TO RECEIVE ALL UFILES
C      INFORMATIONAL AND ERROR MESSAGES; UPAUST CALL IS TURNED OFF
C      ALL MESSAGES ARE TURNED ON
C      *CALLER RESPONSIBILITY TO OPEN A FILE ON UNIT LUN*
C
C    =0:  NO MESSAGES
C    =1:  ALL MESSAGES (DEFAULT)
C
C   *THIS ROUTINE HAS NO AFFECT ON OUTPUT OF ERROR MESSAGES*
C    INFORMATIVE MESSAGES ONLY
C
      SUBROUTINE UFIMSG(IARG)
C
      USE UFILES
C
      CALL UFINIT
C
      IF(IARG.GE.0) THEN
C
        ILEV=IARG
C
C  ONES DIGIT OF UFILEV IS INFORMATIONAL MESSAGE FLAG
C  TENS DIGIT OF UFILEV IS ERROR MESSAGE FLAG
C
C  SET ONES DIGIT
C
        UFILEV=10*(UFILEV/10) + ILEV
C
      ELSE
        UFILEV=11
        UFELUN=-IARG
      ENDIF
C
      RETURN
      END
C******************** END FILE UFIMSG.FOR ; GROUP UFILS0 ******************
